mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.HashAlgorithm System.Runtime.InteropServices.ComVisible(true)

Hash functions map binary strings of an arbitrary length to small binary strings of a fixed length. A cryptographic hash function has the property that it is computationally infeasible to find two distinct inputs that hash to the same value. Small changes to the data result in large, unpredictable changes in the hash.

A keyed hash algorithm is a key-dependent, one-way hash function used as a message authentication code. Only someone who knows the key can verify the hash. Keyed hash algorithms provide authenticity without secrecy.

Hash functions are commonly used with digital signatures and for data integrity. The class is an example of a keyed hash algorithm.

Represents the abstract class from which all implementations of keyed hash algorithms must derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code creates a new instance of a derived class.

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.KeyedHashAlgorithm

  By default, this overload uses the implementation of a keyed hash algorithm. If you want to specify a different implementation, use the overload, which lets you specify an algorithm name, instead. The cryptography configuration system defines the default implementation of the class.

  Creates an instance of the default implementation of a keyed hash algorithm.

  A new instance, unless the default settings have been changed.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.KeyedHashAlgorithm ``

  This method supports a number of algorithms, including MD5, SHA-1, SHA-256, and RIPEMD160. For a full list, see the supported values for the parameter.

  Creates an instance of the specified implementation of a keyed hash algorithm.

  A new instance of the specified keyed hash algorithm.

  The keyed hash algorithm implementation to use. The following table shows the valid values for the parameter and the algorithms they map to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the Finalize method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. Finalize invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  This property is the public accessor for the field.

  Gets or sets the key to use in the hash algorithm.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[]

  This field is accessed through the property.

  The key to use in the hash algorithm.